Update Alert Config

PATCH /alerts/alert-config/::alertConfigId

Update an existing alert configuration (name, settings, email frequency, or enabled state).

TOKEN

Authentication

This endpoint requires an API token. You can learn more about how to get an API token from the authentication page.

URL

https://api.podengine.ai/api/v1/alerts/alert-config/:alertConfigId

Code Example

API Specification

Path Parameters

PropertyTypeDescription
alertConfigId
string

Request Body

PropertyTypeDescription
updates
object

alertNameoptional
string

emailSettingsoptional
object

frequency
enum ⓘ

Allowed values

hourlydailyweekly

alertSettingsoptional
intersection

enabledoptional
boolean

200

Success Response

PropertyTypeDescription
status
literal: OK

data
object

updatedAlertConfig
object

id
string

createdByUserId
string

teamId
string

createdAt
date

updatedAt
date

alertName
string

alertType
enum ⓘ

Allowed values

personcompanycustom-keyword

enabled
boolean

alertSettings
intersection

emailSettings
object

frequency
enum ⓘ

Allowed values

hourlydailyweekly

lastRunDatenullable
date